// Generate By EToy
// Don't Edit It!!

using XGame.Framework.Serialization;
namespace XGame.Database
{
    /// <summary>
    /// 2维坐标
    /// </summary>
    public sealed class Vec2 : ISerializable
    {
        public float X { get; private set; }
        public float Y { get; private set; }

        void ISerializable.Deserialize(IReader reader)
        {
            X = reader.ReadFloat();
            Y = reader.ReadFloat();
        }

        void ISerializable.Serialize(IWriter writer)
        {
            writer.Write(X);
            writer.Write(Y);
        }
    }
}
